org.apache.lucene.analysis.miscellaneous

## Class KeepWordFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.KeepWordFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class KeepWordFilterFactory
    extends TokenFilterFactory
    implements ResourceLoaderAware

Factory for `KeepWordFilter`.

     <fieldType name="text_keepword" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.KeepWordFilterFactory" words="keepwords.txt" ignoreCase="false" enablePositionIncrements="false"/>
       </analyzer>
     </fieldType>

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`KeepWordFilterFactory()`

### Method Summary

Methods
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream
`CharArraySet` `getWords()`
`void` `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
`void` `init(Map<String,String> args)` Initialize this factory via a set of key-value pairs.
`boolean` `isEnablePositionIncrements()`
`boolean` `isIgnoreCase()`
`void` `setIgnoreCase(boolean ignoreCase)`
`void` `setWords(Set<String> words)` Set the keep word list.

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeepWordFilterFactory

    public KeepWordFilterFactory()

### Method Detail

#### init

    public void init(Map<String,String> args)

Description copied from class: `AbstractAnalysisFactory`
Initialize this factory via a set of key-value pairs.

Overrides:
  `init` in class `AbstractAnalysisFactory`

#### inform

    public void inform(ResourceLoader loader)
                throws IOException

Description copied from interface: `ResourceLoaderAware`
Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

#### setWords

    public void setWords(Set<String> words)

Set the keep word list. NOTE: if ignoreCase==true, the words are expected to be lowercase

#### setIgnoreCase

    public void setIgnoreCase(boolean ignoreCase)

#### isEnablePositionIncrements

    public boolean isEnablePositionIncrements()

#### isIgnoreCase

    public boolean isIgnoreCase()

#### getWords

    public CharArraySet getWords()

#### create

    public TokenStream create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`